require "spec_helper"

describe Mooset::Endpoints::Ldap do
  let(:bind_password) { double }
  let(:bind_dn) { double }
  let(:port) { double }
  let(:host) { double }
  subject(:ldap) { Mooset::Endpoints::Ldap.new(endpoint_name: :ldap, host: host, port: port, bind_dn: bind_dn, bind_password: bind_password) }

  it { should have_resource(:users) }
  it { should have_resource(:groups) }

  describe "#connection" do
    subject(:connection) { ldap.connection }

    it "creates a connection to the ldap server" do
      expect(connection).to be_a(Net::LDAP)
      expect(connection.host).to eq(host)
      expect(connection.port).to eq(port)
    end
  end
end
